dom.cpp File Reference
`#include <gecode/set.hh>`
`#include <gecode/set/rel.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::dom (Home home, SetVar x, SetRelType r, int i)
| Propagates .
void | Gecode::dom (Home home, const SetVarArgs &x, SetRelType r, int i)
| Propagates for all .
void | Gecode::dom (Home home, SetVar x, SetRelType r, int i, int j)
| Propagates .
void | Gecode::dom (Home home, const SetVarArgs &x, SetRelType r, int i, int j)
| Propagates for all .
void | Gecode::dom (Home home, SetVar x, SetRelType r, const IntSet &s)
| Propagates .
void | Gecode::dom (Home home, const SetVarArgs &x, SetRelType r, const IntSet &s)
| Propagates for all .
void | Gecode::dom (Home home, SetVar x, SetRelType rt, int i, Reify r)
| Post propagator for .
void | Gecode::dom (Home home, SetVar x, SetRelType rt, int i, int j, Reify r)
| Post propagator for .
void | Gecode::dom (Home home, SetVar x, SetRelType rt, const IntSet &s, Reify r)
| Post propagator for .
void | Gecode::dom (Home home, SetVar x, SetVar d)
| Constrain domain of x according to domain of d.
void | Gecode::dom (Home home, const SetVarArgs &x, const SetVarArgs &d)
| Constrain domain of according to domain of for all .